
Foreman - Bug #1847

The "all puppetclasses" page includes "main" and "Settings" in the list although those are not

classes included on the host.

09/03/2012 12:39 AM - Sam Kottler

Status: Closed   

Priority: Low   

Assignee: Sam Kottler   

Category:    

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Quick bug fix, adding it here for tracking.

Associated revisions

Revision cc41bb66 - 09/13/2012 09:49 AM - Sam Kottler

fixes #1847 Ensure main and Settings aren't shown on the puppetclasses page linked to from the host page

History

#1 - 09/03/2012 11:37 PM - Sam Kottler

- Subject changed from The "all puppetclasses" page includes "main" and "Settings" in the list although those are not classes include on the host. to

The "all puppetclasses" page includes "main" and "Settings" in the list although those are not classes included on the host.

#2 - 09/12/2012 01:46 AM - Sam Kottler

- Target version set to 1.1

Here is the issue:

+----+----------+---------+---------+----------------+----------+------+---------------------+----------------

-----+

| id | title    | restype | host_id | source_file_id | exported | line | updated_at          | created_at     

     |

+----+----------+---------+---------+----------------+----------+------+---------------------+----------------

-----+

|  1 | Settings | Class   |       1 |              1 |        0 | NULL | 2012-09-12 01:21:04 | 2012-09-12 01:2

1:04 |

|  2 | main     | Stage   |       1 |              1 |        0 | NULL | 2012-09-12 01:23:18 | 2012-09-12 01:2

1:04 |

|  3 | main     | Class   |       1 |              1 |        0 | NULL | 2012-09-12 01:23:18 | 2012-09-12 01:2

1:04 |

+----+----------+---------+---------+----------------+----------+------+---------------------+----------------

-----+

 The filtering of the classes is done with the restype column in the host model. Therefore, all the rows where the type is set to "Class" will be displayed

for that host. Not sure where the values get set, but I assume it's during host creation. I will fix this issue later, but definitely want to get the fix into 1.1.

#3 - 09/13/2012 11:01 AM - Sam Kottler

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset cc41bb66f5f99850efb0a0da50686f0015da2449.
